<h2>Restaurants</h2>

<table class="table table-striped">
  <thead>
    <tr>
        <th scope="col">#</th>
        <th scope="col">Name</th>
        <th scope="col">Address</th>
        <th scope="col">Email</th>
        <th scope="col">Actions</th>
    </tr>
  </thead>

  <tbody>
    <tr *ngFor="let restaurant of restaurants">
        <th scope="row">{{ restaurant.id }}</th>
        <td>{{ restaurant.name }}</td>
        <td>{{ restaurant.address }}</td>
        <td>{{ restaurant.email }}</td>
        <td>
          <fa-icon (click)="deleteRestaurant(restaurant)" [icon]="faTrash" style="color: red; font-size: 1.3rem; margin-right: 5px;"></fa-icon>

          <a routerLink="/update/{{restaurant.id}}">
            <fa-icon [icon]="faEdit" style="color: blue; font-size: 1.3rem;"></fa-icon>
          </a>
        </td>
    </tr>
  </tbody>
</table>